// ********************************************************************************************************************
//  File Name				: VipUpdateData.h
//  Description				: ZIPC VIPf[^ǗNXwb_t@CiBCBpj
// ********************************************************************************************************************


// ********************************************************************************************************************
//							Include Section
// ********************************************************************************************************************
#include "ZVipPnlImp.h"


// ********************************************************************************************************************
//							NX defaine Section
// ********************************************************************************************************************

////////////////////////////////////////////////////////////////////
//	XVf[^ǗNX
class CVipUpdateData
{
public:
	CVipUpdateData( void );
	virtual ~CVipUpdateData( void );
	void InitialData( void );
	BOOL VipMessage( WPARAM wParam, LPARAM lParam );
	BOOL IsUpdateData( void );
	enum ZIPCVIP_DATAMODE GetUpdateMode( void );
	int GetUpdateIndex( void );
	void* GetUpdateData( void );
	BOOL IsReset( void );
	int GetTimerId( void );

private:
	void SetValue( enum ZIPCVIP_DATAMODE mode, int index, void* pData );
	BOOL AnalysisAttribute( int nMode, int nNo );
	BOOL AnalysisPio( int nNo );
	BOOL AnalysisAng( int nNo );
	BOOL AnalysisStr( int nNo );
	enum ZIPCVIP_DATAMODE	m_nMode;
	int		m_nIndex;
	void*	m_pData;
	BOOL	m_bReset;
	long	m_nTimerID;
};


